# Compulsory line
cmake_minimum_required(VERSION 2.6)

# The name of our project is "BDM".  CMakeLists files in this project can
# refer to the root source directory of the project as ${BDM_SOURCE_DIR} and
# to the root binary directory of the project as ${BDM_BINARY_DIR}.
project (BDM)

# In order to be able to use the newly written FindXXX package, the 
# location of the FindXXX.cmake file must be added to the cmake modules 
# list from within a CMakeLists.txt file as follows:
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}\\system\\")

INCLUDE(SetBdmEnv)

# Recurse into the "bdm" and "tests" subdirectories.  This does not actually
# cause another cmake executable to run.  The same process will walk through
# the project's entire directory structure.
add_subdirectory (bdm)
add_subdirectory (tests)
